
:: compile.bat
:: Andrew Davison, ad@fivedots.coe.psu.ac.th, Nov. 2022

@echo off
setlocal

if "%~1"=="" (
  echo No file name supplied
  exit /B
)

if not "%~x1"==".java" (
  echo Not a Java file
  exit /B
)

:: assume the Jars are in libs folder
set _libs=libs\
if not exist %_libs% (
  echo No libs folder found
  exit /B
)

set _path=%~dp0
rem echo %_path%
:: useful with java's -Djava.library.path

echo Using:
for %%f in (%_libs%*) do (
  echo   %%f
)
echo Compiling %1...
echo.

javac --release 11 -Xlint:unchecked -Xlint:deprecation ^
 -implicit:class  ^
 -cp "%_libs%*;." %*

echo Finished.


